List receive rulesets
List the rulesets owned by your account. Use subaccountId to select one direct child or includeSubaccounts=true to include your account and its direct children.
Query Parameters
- Type: string Format: uuidsubaccount
Id Scope this read to one of your subaccounts instead of the authenticated account. Must be a direct child of the authenticated account.
- Type: string enuminclude
Subaccounts Set to
trueto include your subaccounts' records alongside your own.truecannot be combined withsubaccountId;falsecan, and means the same as omitting it.values- true
- false
- Type: string enumstatusvalues
- A
C T I V E - I
N A C T I V E - P
E N D I N G - F
A I L E D
- Type: stringchainmin length:1
- Type: integerlimitmin:1max:1000
Integer numbers.
- Type: integeroffsetmin:0max:9007199254740991
Integer numbers.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/api/v1/rulesets
curl https://api.bettermoney.com/api/v1/rulesets
{
"rulesets": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "123e4567-e89b-12d3-a456-426614174000",
"name": null,
"status": "ACTIVE",
"deliveredAsset": "string",
"deliveredChain": "string",
"toAddress": "string",
"mode": "NETTED",
"metadata": {},
"addresses": [
{
"chain": "string",
"failureReason": "string",
"status": "PENDING",
"address": null
}
],
"createdAt": "2026-09-04T20:22:27.425Z"
}
],
"total": 1,
"limit": 1,
"offset": 1,
"hasMore": true
}